#include <iostream>

using namespace std;
string s;
long long a;
int main()
{
    cin >> s;
    a = -1;
    for(int i = 0; i < s.size(); i++)
        if(s[i] != '0')
        a = i;

    for(int i = a; i >= 0; i--)
    {
    if(s[i] == '2')
    cout << 5;
    else
        if(s[i] == '5')
        cout << '2';
        else
        cout << s[i];

    }

}
